/***********************************************************
  文件名：23_TM1650Plus.ino
  描述：IIC接口连接TM1650数码管\n每隔一秒显示数增加1。
  作者：陈志强
  日期：2022.11.3
***********************************************************/
#include <Wire.h>
#include <TM1650.h>
#include <SimpleTimer.h>

 int item= 0;//初始化变量item为0
TM1650 tm_4display;//设置数码管名称
SimpleTimer timer;//设置定时器名称

void Simple_timer_1() {//定时器函数
  tm_4display.displayString(String(item));//输出数码管显示数字
  item = item + 1;//变量自加
}

void setup(){
  
  Wire.begin();//启动
  tm_4display.init();//初始化数码管
  timer.setInterval(1000L, Simple_timer_1);//定时器间隔1秒

}

void loop(){
  timer.run();

}
